Bug 13637 - <track> Cue rendering+behavior spec text should generic, not webvtt-derived
<track> Cue rendering+behavior spec text should generic, not webvtt-derived
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec
unspecified
All All
: P2 normal
: ---
Assigned To: Ian 'Hixie' Hickson
HTML WG Bugzilla archive list
: a11y, a11ytf, media, WGDecision
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-03 20:38 UTC by Frank Olivier
Modified: 2012-04-20 02:55 UTC (History)
12 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Olivier 2011-08-03 20:38:50 UTC
http://www.w3.org/TR/html5/rendering.html#webvtt-cue-text-rendering-rules

The spec contains several (normative) references to webvtt when defining cue and track handling. These sections should be rewritten to be generic; webvtt is one of many caption formats that could be used in html5.
Comment 1 Michael[tm] Smith 2011-08-04 05:17:42 UTC
mass-move component to LC1
Comment 2 Michael Cooper 2011-09-20 15:31:57 UTC
Bug triage sub-team thinks this is an HTML A11Y TF priority for the media sub-team.
Comment 3 Ian 'Hixie' Hickson 2011-12-02 20:51:11 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: WebVTT is the format HTML is designed for (and vice versa), so mentioning it is eminently sensible.
Comment 4 Adrian Bateman [MSFT] 2011-12-02 23:27:48 UTC
It's perfectly legitimate to have a HTML5 implementation that does not support WebVTT but does support another format. IE10 PP4 supports both WebVTT and TTML and an implementation only supporting TTML would be interoperable. Additionally, WebVTT might be used and it's not being used in HTML5 and that would be perfectly acceptable. It's unnecessary to tie these two formats together.
Comment 5 Paul Cotton 2011-12-03 19:05:59 UTC
(In reply to comment #4)
> It's perfectly legitimate to have a HTML5 implementation that does not support
> WebVTT but does support another format. IE10 PP4 supports both WebVTT and TTML
> and an implementation only supporting TTML would be interoperable.
> Additionally, WebVTT might be used and it's not being used in HTML5 and that
> would be perfectly acceptable. It's unnecessary to tie these two formats
> together.

Can you please "suggest title and text for the tracker issue"?

/paulc
Comment 6 Adrian Bateman [MSFT] 2011-12-05 03:03:28 UTC
Raised as ISSUE-188: https://www.w3.org/html/wg/tracker/issues/188